styles.alv.cx
=============

central styling repo and domain


to style a site: 

1. put this at the top of a css file somewhere:

	@import url("https://styles.alv.cx/colors/<colorscheme>.css");
	@import url("https://styles.alv.cx/base.css");

   replacing <colorscheme> with one of the options available at
   `https://styles.alv.cx/colors`

2. add any of the optional modules you want.
3. a list of actively hosted modules can be seen in this repo in the modules folder
   and at `https://styles.alv.cx/modules/`

variables and colors available
------------------------------

there are some variables you may want to use to keep your site's styling
consistent and you can view them in the `:root` section of `base.css` and any
module you use. 

the variables defined in `base.css` are:

	--fg
	--bg

	--light
	--dark

you should prefer to use `--fg` and `--bg` over `--light` and `--dark` as that
will take of dark mode switching for you.

every colorscheme will have a standard set of variables, which can be viewed at
`https://styles.alv.cx/colors.txt` .

some modules may have variables which can be adjusted also, such as `rainbow.css`.
